Bug 1228642 - perl-DBD-Firebird-1.19-1 ppc64le epel7 t/embed-80-event-ithreads.t fails
Summary: perl-DBD-Firebird-1.19-1 ppc64le epel7 t/embed-80-event-ithreads.t fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-DBD-Firebird
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-06-05 11:58 UTC by Menanteau Guy
Modified: 2015-07-13 18:32 UTC (History)
2 users (show)

Fixed In Version: perl-DBD-Firebird-1.20-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-24 15:57:23 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-06-05 11:58:28 UTC
This problem is equivalent to https://bugzilla.redhat.com/show_bug.cgi?id=1161469
except in my local ppc64le epel7 environment it always fails. 

[vm52 DBD-Firebird-1.19]# I=0; while (prove -v -b t/embed-80-event-ithreads.t); do echo "$I"; I=$((I+1)); done
t/embed-80-event-ithreads.t .. 
1..22
ok 1 - Connected to the database
ok 2 - Table is 'TESTAB'
ok 3
ok 4
ok 5
ok 6
ok 7
ok 8
ok 9 - callback registered
ok 10 - thread created
ok 11 - thread joined
ok 12 - callback unregistered
ok 13
ok 14
ok 15 - create thread

Comment 1 Robert Scheck 2015-06-22 11:55:14 UTC
I think this is https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=719582

Comment 2 Menanteau Guy 2015-06-22 13:42:46 UTC
Currently, ppc64le epel7 is run in a local environment. By chance, this problem will not exist anymore when a "official" epel7 environment will be deployed on a most powerfull machine. I will update this bug at this time. Thanks

Comment 3 Robert Scheck 2015-06-22 14:09:20 UTC
Given this issue also happens once in a while in the "official" environment,
can you please try if in %check of perl-DBD-Firebird.spec using

  export AUTOMATED_TESTING=1
  make test

rather only (current)

  make test

solves the issue for you, too? Then I would just put that into the spec file.

Comment 4 Menanteau Guy 2015-06-22 15:10:47 UTC
Adding export AUTOMATED_TESTING=1 in the spec makes t/embed-80-event-ithreads.t test always pass OK in my local ppc64le epel7 environment...

Comment 5 Fedora Update System 2015-06-22 17:04:09 UTC
perl-DBD-Firebird-1.20-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.20-1.fc22

Comment 6 Fedora Update System 2015-06-22 17:04:45 UTC
perl-DBD-Firebird-1.20-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.20-1.fc21

Comment 7 Fedora Update System 2015-06-22 17:05:08 UTC
perl-DBD-Firebird-1.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.20-1.fc20

Comment 8 Fedora Update System 2015-06-22 17:06:35 UTC
perl-DBD-Firebird-1.20-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.20-1.el7

Comment 9 Fedora Update System 2015-06-22 17:07:02 UTC
perl-DBD-Firebird-1.20-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-DBD-Firebird-1.20-1.el6

Comment 10 Fedora Update System 2015-06-24 15:57:23 UTC
perl-DBD-Firebird-1.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-07-03 18:38:24 UTC
perl-DBD-Firebird-1.20-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-07-03 18:45:49 UTC
perl-DBD-Firebird-1.20-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-13 18:32:13 UTC
perl-DBD-Firebird-1.20-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-13 18:32:49 UTC
perl-DBD-Firebird-1.20-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.